Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServTypeIPMode

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetServTypeIPMode

    public class InetServTypeIPMode
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ADDRESS_ALL_INTERFACE` |
  `static java.lang.String` | `IP_DYNAMIC` |
  `static java.lang.String` | `IP_HANDLER` |
  `static java.lang.String` | `IP_NO` |
  `static java.lang.String` | `IP_STATIC` |
  `static java.lang.String` | `IPV4` |
  `static java.lang.String` | `IPV6` |
  `static java.lang.String` | `NET_MODE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetServTypeIPMode​(org.json.JSONObject json)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getIpHandlerClassName()` |
  `int` | `getNetMode()` |
  `boolean` | `isAddressAllInterface()` |
  `boolean` | `isSelectDynamic()` |
  `boolean` | `isSelectNo()` |
  `boolean` | `isSelectStatic()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IPV4

    public static final java.lang.String IPV4
    See Also:
      Constant Field Values

  - ### IPV6

    public static final java.lang.String IPV6
    See Also:
      Constant Field Values

  - ### IP_HANDLER

    public static final java.lang.String IP_HANDLER
    See Also:
      Constant Field Values

  - ### IP_NO

    public static final java.lang.String IP_NO
    See Also:
      Constant Field Values

  - ### IP_STATIC

    public static final java.lang.String IP_STATIC
    See Also:
      Constant Field Values

  - ### IP_DYNAMIC

    public static final java.lang.String IP_DYNAMIC
    See Also:
      Constant Field Values

  - ### NET_MODE

    public static final java.lang.String NET_MODE
    See Also:
      Constant Field Values

  - ### ADDRESS_ALL_INTERFACE

    public static final java.lang.String ADDRESS_ALL_INTERFACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### InetServTypeIPMode

    public InetServTypeIPMode​(org.json.JSONObject json)

- ## Method Details

  - ### getIpHandlerClassName

    public java.lang.String getIpHandlerClassName()

  - ### isSelectNo

    public boolean isSelectNo()

  - ### isSelectStatic

    public boolean isSelectStatic()

  - ### isSelectDynamic

    public boolean isSelectDynamic()

  - ### getNetMode

    public int getNetMode()

  - ### isAddressAllInterface

    public boolean isAddressAllInterface()